Package com.xebialabs.xlrelease.domain

## Class Team

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.Team

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class Team
      extends BaseConfigurationItem

  The Team domain object in Digital.ai Release is a transient object and is not saved into the repository. It is kept for backwards-compatibility, as it was part of the public API. The teams' data is stored by the platform using the `RoleService` and the platform's own `Role` object.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FOLDER_OWNER_TEAMNAME` |
    `static java.lang.String` | `RELEASE_ADMIN_TEAMNAME` |
    `static java.lang.String` | `TEMPLATE_OWNER_TEAMNAME` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Team()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMember​(java.lang.String newMember)` |
    `void` | `addMembers​(java.lang.String[] members)` |
    `void` | `addPermission​(java.lang.String permission)` |
    `void` | `addPermissions​(java.lang.String[] permissions)` |
    `void` | `addRole​(java.lang.String newRole)` |
    `void` | `addRoles​(java.lang.String[] roles)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<java.lang.String>` | `getMembers()` |
    `java.util.List<java.lang.String>` | `getPermissions()` |
    `java.util.List<java.lang.String>` | `getRoles()` |
    `java.lang.String` | `getTeamName()` |
    `boolean` | `hasAnyMember​(java.util.Collection<java.lang.String> members)` |
    `boolean` | `hasAnyRole​(java.util.List<com.xebialabs.deployit.security.Role> roles)` |
    `int` | `hashCode()` |
    `boolean` | `hasMember​(java.lang.String username)` |
    `boolean` | `hasPermission​(java.lang.String permission)` |
    `boolean` | `hasRole​(java.lang.String role)` |
    `boolean` | `isFolderAdminTeam()` |
    `boolean` | `isFolderOwnerTeam()` |
    `boolean` | `isReleaseAdminTeam()` |
    `boolean` | `isSystemTeam()` |
    `boolean` | `isTemplateOwnerTeam()` |
    `void` | `setMembers​(java.util.List<java.lang.String> members)` |
    `void` | `setPermissions​(java.util.List<java.lang.String> permissions)` |
    `void` | `setRoles​(java.util.List<java.lang.String> roles)` |
    `void` | `setTeamName​(java.lang.String teamName)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FOLDER_OWNER_TEAMNAME

          public static final java.lang.String FOLDER_OWNER_TEAMNAME

      See Also:
        Constant Field Values

    - #### TEMPLATE_OWNER_TEAMNAME

          public static final java.lang.String TEMPLATE_OWNER_TEAMNAME

      See Also:
        Constant Field Values

    - #### RELEASE_ADMIN_TEAMNAME

          public static final java.lang.String RELEASE_ADMIN_TEAMNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Team

          public Team()

  - ### Method Detail

    - #### getTeamName

          public java.lang.String getTeamName()

    - #### setTeamName

          public void setTeamName​(java.lang.String teamName)

    - #### hasMember

          public boolean hasMember​(java.lang.String username)

    - #### hasAnyMember

          public boolean hasAnyMember​(java.util.Collection<java.lang.String> members)

    - #### hasPermission

          public boolean hasPermission​(java.lang.String permission)

    - #### getMembers

          public java.util.List<java.lang.String> getMembers()

    - #### setMembers

          public void setMembers​(java.util.List<java.lang.String> members)

    - #### addMember

          public void addMember​(java.lang.String newMember)

    - #### getRoles

          public java.util.List<java.lang.String> getRoles()

    - #### setRoles

          public void setRoles​(java.util.List<java.lang.String> roles)

    - #### addRole

          public void addRole​(java.lang.String newRole)

    - #### hasRole

          public boolean hasRole​(java.lang.String role)

    - #### hasAnyRole

          public boolean hasAnyRole​(java.util.List<com.xebialabs.deployit.security.Role> roles)

    - #### getPermissions

          public java.util.List<java.lang.String> getPermissions()

    - #### setPermissions

          public void setPermissions​(java.util.List<java.lang.String> permissions)

    - #### addPermission

          public void addPermission​(java.lang.String permission)

    - #### isReleaseAdminTeam

          public boolean isReleaseAdminTeam()

    - #### isTemplateOwnerTeam

          public boolean isTemplateOwnerTeam()

    - #### isFolderOwnerTeam

          public boolean isFolderOwnerTeam()

    - #### isFolderAdminTeam

          public boolean isFolderAdminTeam()

    - #### isSystemTeam

          public boolean isSystemTeam()

    - #### addMembers

          public void addMembers​(java.lang.String[] members)

    - #### addRoles

          public void addRoles​(java.lang.String[] roles)

    - #### addPermissions

          public void addPermissions​(java.lang.String[] permissions)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `BaseConfigurationItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseConfigurationItem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseConfigurationItem`